Subject: bug#64698: 29.0.92; on netbsd 9.3, gmake and "gmake bootstrap" fail to proceed

From: Valtteri Vuorikoski <[email-masked]>
Date: Fri, 21 Jul 2023 15:12:27 +0300

On Fri, Jul 21, 2023 at 02:03:41PM +0300, Eli Zaretskii wrote:
> > If you want to apply it for -30, this basically implements the
> > suggestion that was already dnl'd in configure.ac. Emacs will end up
> > using ossaudio even if the alsa-lib pkgsrc package is installed.
> 
> Thanks.  The comments say "NetBSD", but I don't quite see where this
> change affects only the *BSD systems, let alone NetBSD alone.  Maybe
> we should add that condition explicitly?  I'd hate to break some other
> system while fixing NetBSD.
> 
> > People who want alsa should be able to still get it with
> > --with-sound=alsa.
> 
> This should probably be mentioned in NEWS, then.

The existing comment a few lines above indicates that -lossaudio is a
NetBSD thing, but I can't speak on how accurate that statement is. I'll
investigate and update the patch (and NEWS) as approriate.

 -Valtteri